<?php

namespace AutoAdmin\Bundle\Admin\Form\TypeGuesser;

interface AdminTypeGuesserInterface
{
    public function getFormType(): string;

    public function getDefaultFormTypeOptions(): array;

    public function getMatchingConfigStrings(): array;

    public function getMatchingAttributes(): array;

    public function getMatchingPropertyTypes(): array;

    public function priority(): int;
}
